MediaTimerListener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.media
Interface MediaTimerListener

All Superinterfaces:
  EventListener

    public interface MediaTimerListener

extends EventListener

This is a listener to inform events on a MediaTimer object.

Field Summary
`static int` | `TIMER_START` Indicates a MediaTimer starts.
`static int` | `TIMER_STOP` Indicates a MediaTimer stops.
`static int` | `TIMER_WENTOFF_FIRST` Indicates a MediaTimer went off since a current media time passes the specified first time in a reverse playback or a skip playback.
`static int` | `TIMER_WENTOFF_LAST` Indicates a MediaTimer went off since a current media time passes the specified last time in a normal playback or a skip playback.

Method Summary
`void` | `notify(int event, Player p)` This is a call back method to inform event on a MediaTimer.

Field Detail

### TIMER_START

    static final int TIMER_START

  Indicates a MediaTimer starts.

  See Also:
    Constant Field Values

### TIMER_STOP

    static final int TIMER_STOP

  Indicates a MediaTimer stops.

  See Also:
    Constant Field Values

### TIMER_WENTOFF_FIRST

    static final int TIMER_WENTOFF_FIRST

  Indicates a MediaTimer went off since a current media time passes the specified first time in a reverse playback or a skip playback.

  See Also:
    Constant Field Values

### TIMER_WENTOFF_LAST

    static final int TIMER_WENTOFF_LAST

  Indicates a MediaTimer went off since a current media time passes the specified last time in a normal playback or a skip playback.

  See Also:
    Constant Field Values

Method Detail

### notify

    void notify(int event,
                Player p)

  This is a call back method to inform event on a MediaTimer.

  Parameters:
    `event` - an event value that happened on a MediaTimer. One of constants that have TIMER_ prefix.
    `p` - a Player that was tied to this MediaTimer object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD